CFLAGS = -Wall -Wextra -Werror -std=c99 -pedantic-errors
FORMAT = ./format

default: $(FORMAT) gen

$(FORMAT): format.c
	$(CC) $(CFLAGS) $< -o $@

gen: site-src/*
	./gen.sh

.PHONY: clean
clean:
	rm $(FORMAT)
	rm site/*
